Subject: Re: [Gen-art] Gen-ART review of draft-ietf-mpls-mpls-and-gmpls-security-framework-07.txt

From: "Luyuan Fang (lufang)" <[email-masked]>
Date: Mon, 8 Mar 2010 10:42:20 -0600

Hi Suresh and Adrian,

I have addressed all the comments from Suresh in the 09 draft
(attached), planed to submit later today.

Thanks for the helpful comments. Please see in-line (with Luyuan: ....).

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]] 
Sent: 12 January 2010 10:56
To: Suresh Krishnan; General Area Review Team;
[email-masked]
Cc: Luyuan Fang (lufang)
Subject: Re: Gen-ART review of
draft-ietf-mpls-mpls-and-gmpls-security-framework-07.txt

Hi Suresh,

> Please resolve these comments along with any other Last Call comments 
> you may receive.

Well, we won't treat these as "any other Last Call comments" as they
arrived almost two months after the end of the last call period.

However, we do value your review and thank you for your comments. As the
draft is still under revision after Last Call, I will ask the document
editor to take them into consideration along the way.

Cheers,
Adrian

> Summary: This draft is almost ready for publication as Informational 
> RFC but I have a few comments.
>
> Minor
> =====
>
> * Section 2
>  I think the definition of a P router is not very accurate. It reads
>
> "A P router is used to interconnect the PE routers."
>
> Isn't it possible that there are multiple P routers on a path between 
> two PE routers
>
> e.g.
>
> PE--P--P--P--PE

Luyuan: Agree. I modified the sentence:
A P router is used to interconnect the PE routers and/or other P routers
within the core network. 

>
> * Section 3
>
> -> "Figure 1 depicts the concept of trusted zones within the 
> -> MPLS/GMPLS
> framework"
>
> Figure 1 does not show the trusted zones at all. It needs to be 
> revised or this sentence needs to be removed.

Luyuan: Revised Figure 1, added indication of the trusted zone in the
figure.

>
> -> In Figure 2 why is CE1 considered an unauthorized neighbor? I can
> understand why it is untrusted but I do not see why it is
unauthorized.

Luyuan: Right, only CE2 is an unauthorized neighbor for provider A in
this diagram. Fixed.

>
> * Section 4
>
> "The discussion is limited to those threats that are unique to 
> MPLS/GMPLS networks or that affect MPLS/GMPLS network in unique ways."
>
> This is not really true. Most of the attacks described in this 
> document are not specific to MPLS/GMPLS networks at all. Suggest 
> removing this sentence.

Luyuan: Removed the sentence.

>
> Editorial
> =========
>
> Please fix the following typos
>
> * Section 7.1.1
>
> s/cryptograpgic/cryptographic/

Luyuan: Fixed.
> * Normative References
> s/EFC 2741/RFC 2747/

Luyuan: Fixed.
> Thanks
> Suresh
Thanks for your comments, Suresh. Also added acknowledgement to your
Gen-ART review and comments.

Thanks,
Luyuan

---

From: Suresh Krishnan <[email-masked]>
Date: Mon, 8 Mar 2010 12:41:51 -0500

Hi Luyuan,
   I went through all the changes and they look good. These resolve all 
my concerns on the draft. Thanks for taking care of this.

Cheers
Suresh

---

From: "Luyuan Fang (lufang)" <[email-masked]>
Date: Mon, 8 Mar 2010 12:07:35 -0600

Suresh,

Thank you!
Luyuan 

-----Original Message-----
From: Suresh Krishnan [mailto:[email-masked]] 
Sent: 08 March 2010 12:42
To: Luyuan Fang (lufang)
Cc: Adrian Farrel; General Area Review Team;

Hi Luyuan,

Cheers
Suresh

> However, we do value your review and thank you for your comments. As 
> the draft is still under revision after Last Call, I will ask the 
> document editor to take them into consideration along the way.
> 
> Cheers,
> Adrian
> 

> A P router is used to interconnect the PE routers and/or other P 
> routers within the core network.
> 
>> * Section 3
>>